# Grafana

```
kubectl create namespace grafana
kubectl apply -n grafana -f application.yml
```

## OIDC secret

See Authelia README on provisioning and updating OIDC secrets for Grafana

## Grafana post deployment steps

* Configure Prometheus datasource with URL set to
  `http://prometheus-operated.prometheus-operator.svc.cluster.local:9090`
* Configure Elasticsearch datasource with URL set to
  `http://elasticsearch.elastic-system.svc.cluster.local`,
  Time field name set to `timestamp` and
  ElasticSearch version set to `7.10+`
